## Buildmaster


Buildmaster is the code that allows the user to generate the ``DATA`` and
``SYSTYPE`` files that contain, respectively, the experimental data and the 
information pertaining to the treatment of systematic errors. It is available 
as a folder within the nnpdf project
```
https://github.com/NNPDF/nnpdf/buildmaster
```
The structure of the files generated by the buildmaster project 
is documented in [Experimental data files](exp_data_files).

Once the remainder of the nnpdf project is compiled and installed, the buildmaster code can
be compiled and installed as follows
```
mkdir build
cd build
cmake .. 
make -j && make install
```
This will generate the `buildmaster` executable which shall be run as
```
./buildmaster
```
The `DATA_` and `SYSTYPE_` files will be generated, respectively, in 
```
results/
results/systypes/
```
They should then be copied into 
```
nnpdf/nnpdfcpp/data/commondata
nnpdf/nnpdfcpp/data/commondata/systypes/
```
Whenever a new data set is implemented, the buildmaster code should be
updated accordingly. Detailed instructions on how to do so are provided in 
the tutorial [Implementing a new experiment in buildmaster](../tutorials/buildmaster.md).


